#!/usr/bin/env ruby

require 'fileutils'

ZIP = 'http://www.java2s.com/Code/JarDownload/h2/h2-1.3.168.jar.zip'
JAR = File.basename(ZIP).sub(/.jar.zip$/, '.jar')

system("wget #{ZIP}") unless File.exist?(File.basename(ZIP))
system("unzip #{File.basename(ZIP)}") unless File.exist?(JAR)

def extract_schema(filename, version)
  puts "Extration schema for #{version} from #{filename}"
  FileUtils.rm_rf('demoDB', :verbose => true)
  system("unzip #{filename}")
  system('java -cp h2-1.3.168.jar org.h2.tools.Script -url "jdbc:h2:./demoDB/db;AUTO_SERVER=TRUE" -options NODATA')
  FileUtils.makedirs('db_schemas')
  FileUtils.mv('backup.sql', File.join('db_schemas', "elexis_#{version}_schema_h2.sql"), :verbose => true)
  FileUtils.rm_rf('demoDB', :verbose => true)
end

files = Dir.glob('demoDB_elexis*.zip') + Dir.glob('demoDB_3.0_with_administrator.zip')
files.each do |filename|
  version = /([\d\.]+)/.match(filename)[1].sub(/\.$/,'')
  extract_schema(filename, version)
end

